using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace FrmMonitor
{
    static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main()
        {
            bool createNew;
            using (System.Threading.Mutex m = new System.Threading.Mutex(true, Application.ProductName, out createNew))
            {
                if (createNew)
                {
                    Application.EnableVisualStyles();
                    Application.SetCompatibleTextRenderingDefault(false);
                    Application.Run(new Monitor());
                }
                else
                {
                    MessageBox.Show("已启动该程序，不允许重复启动!");
                }
            }
            
        }
    }
}
